<?php

function add_customer_payment($customer_id, $branch_id, $bank_account, $date_, $receipt_type, $ref, 
	$amount, $discount, $memo_)
{
	begin_transaction();
   
	$company_record = get_company_prefs();
   
	$payment_no = add_customer_trans(systypes::cust_payment(), $customer_id, $branch_id, $date_, 
    	$ref, -($amount), -($discount));          	     	
        	
	/* Bank account entry first */
	add_gl_trans_customer(systypes::cust_payment(), $payment_no, $date_, 
		$bank_account, 0, 0, $amount,  $customer_id,
		"Cannot insert a GL transaction for the bank account debit");
							
	if ($branch_id != reserved_words::get_any_numeric()) 
	{
		$branch_data = get_branch_accounts($branch_id);

		$debtors_account = $branch_data["receivables_account"];
		$discount_account = $branch_data["payment_discount_account"];		
		
	} 
	else 
	{
		$debtors_account = $company_record["debtors_act"];
		$discount_account = $company_record["default_prompt_payment_act"];
	}
	
	if (($discount + $amount) != 0)
	{
		/* Now Credit Debtors account with receipts + discounts */
		add_gl_trans_customer(systypes::cust_payment(), $payment_no, $date_, 
			$debtors_account, 0, 0, -($discount + $amount), $customer_id,
			"Cannot insert a GL transaction for the debtors account credit");		
	}    	
	
	if ($discount != 0)
	{
		/* Now Debit discount account with discounts allowed*/
		add_gl_trans_customer(systypes::cust_payment(), $payment_no, $date_, 
			$discount_account, 0, 0, $discount, $customer_id,
			"Cannot insert a GL transaction for the payment discount debit");
	}
	
	/*now enter the bank_trans entry */
	add_bank_trans(systypes::cust_payment(), $payment_no, $bank_account, $ref, 
		$date_, $receipt_type, $amount, payment_person_types::customer(), $customer_id,
		get_customer_currency($customer_id));	 
						
	add_comments(systypes::cust_payment(), $payment_no, $date_, $memo_);						
						
	add_forms_for_sys_type(systypes::cust_payment(), $payment_no, payment_person_types::customer(), $customer_id);	
	
	references::save_last($ref, systypes::cust_payment());					  

	commit_transaction();
	
	return $payment_no;
}

//-------------------------------------------------------------------------------------------------

function void_customer_payment($type, $type_no)
{
	begin_transaction();
	
	void_bank_trans($type, $type_no, true);
	void_gl_trans($type, $type_no, true);
	void_cust_allocations($type, $type_no);
	void_customer_trans($type, $type_no);
	
	commit_transaction();			
}


?>